body {
  align-items: center;
  justify-content: center;
  height: 100%;
  font-family: Arial, sans-serif;
}

input, textarea {
  width: 100%;
  padding: 5px;
  outline: none;
}

label {
  line-height: 1.9rem;
}

input[type="submit"] {
  transform: translate(2.2%);
  padding: 3px;
  margin-top: 0.6rem;
  font-family: cursive;
  font-weight: bold;
}

fieldset {
  padding: 20px 40px;
  float: center;
}

.buscar{
  float: left;
  padding: 20px 40px;
}

/* Texto titulos */
h1, h5, h3{
  text-align: center;
}

/* Colores segun datos de las temperaturas */
.TemperaturaCorrecta {
  background-color: lightgreen;
}
.TemperaturaIncorrecta {
  background-color: lightcoral;
}    
.CampoVacio {
  background-color:  white;
}

/* contenide la tabla de datos */
.tabledata td{
  float: center;
  border: 1px solid black;
}

/* Scroll */
.table-scroll {
  width: 100%;
  max-width: 2200px;
  max-height: 1058px;
  overflow-y: auto;
  overflow-x: scroll;
  position: static;
}

table {
  width: 100%;
  border-collapse: collapse;
  position: static;
}

th {
  background: #f2f2f2;
  border: 1px solid #000;
  position: sticky;
  top: 0;
  z-index: 10;
}

td {
  border: 1px solid #000;
  padding: 8px;
}

tbody tr {
  position: relative;
}

/* Tooltip */
.tooltip {
  position: relative;
  cursor: pointer;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 200px;
  background-color: #0e9cc7;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  z-index: 11;
  bottom: 125%;
  left: 50%;
  margin-left: -75px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

table {
  border-collapse: collapse;
  width: 100%;
}

tr:hover {
  background-color: #f1f1f1;
}

/* Estilos de fecha y hora */
.fondoreloj {
  background-color: #0e9cc7;
  padding:10px;
  max-width:250px;
  width:100%;
  text-align:center;
  border-radius:10px;
  margin-top:0%;
}

#hora{
  background-color:#0e9cc7;
  font-size:28px;
  font-family: Arial, sans-serif;
  color:#000;
}

#calendario {
  font-size: 16px;
  font-family: Arial, sans-serif;
  color:#000;
}

/* Cabecera */
#main-header {
	background: #0e9cc7;
	color: white;
	height: 110px;
}	

#logo-header {
	float: left;
	padding: 15px 0 0 20px;
	text-decoration: none;
}

#mostrardatos {
  float: right;
}

#datos{
  float: left;
  font-family: Arial, sans-serif;
}

nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
}

nav ul li {
  margin: 0 12px;
}

nav ul li a {
  color: black;
  text-decoration: none;
  font-size: 20px;
  padding: 35px 10px;
  display: block;
}

/* Tamaños de las graficas para los análisis */
.chart-container {
  position: relative;
  margin: auto;
  height: 40vh;
  width: 40vw;
}

/* Footer */
.footer {
  position: relative;
  padding: 1rem;
  color: black;
  font-size: 20px;
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.2rem;
  background-color: #0e9cc7;
}